# Takenumber Window
Gives every take a unique number and also writes it to the audio filenames. To do so, a number is appended to the track names (e.g. "Violin_T001") which is increased by one every time the recording is stopped. This way there is a unique identifier to which can be refered in the producer's notes.

## Features:
* Group recorded items after record. Either all recorded items or only items on the same track horizontally (useful for overlapping takes!)
* Lock to active take after record. Prevents from accidentally clicking and selecting a different take lane, if visible.
* Write clean take names after record (e.g. "T042 (Violin 1)"). Makes recognition easier, take number is visible even on short items
* Crossfade items after record. Without this option, overlapping takes either aren't faded at all or a "Fade out - Fade in" is created. This option creates a proper crossfade. Only works with SWS extensions installed, follows SWS' crossfade settings!
* Resizable window that changes color to red while recording.
* Stores current take number, all options and the docked state of the window in the project file


## Screenshots
Stopped state and rightclick menu:
![](https://files.eleton-audio.de/gitea/Ludwig/Reaper-Scripts/raw/branch/master/TakenumberWindow/Screenshots/Takenumberwindow_stopped.png)
Recording state (resized to vertical view):
![](https://files.eleton-audio.de/gitea/Ludwig/Reaper-Scripts/raw/branch/master/TakenumberWindow/Screenshots/Takenumberwindow_recording.png)